using System;
using System.Windows.Forms;
namespace HISClinic.UIProcess
{
	/// <summary>
	/// MessageProcess 的摘要说明。
	/// </summary>
	public class MessageProcess
	{
		static MessageProcess()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}
		/// <summary>
		/// 显示提示信息对话框
		/// </summary>
		/// <param name="message">提示信息</param>
		public static void ShowInformation(string message)
		{
			MessageBox.Show(message,"提示",MessageBoxButtons.OK,MessageBoxIcon.Information);
		}

		/// <summary>
		/// 显示错误信息对话框
		/// </summary>
		/// <param name="message">错误信息</param>
		public static void ShowError(string message)
		{
			MessageBox.Show(message,"错误",MessageBoxButtons.OK,MessageBoxIcon.Error);
		}

		/// <summary>
		/// 显示警告信息对话框
		/// </summary>
		/// <param name="message"></param>
		public static void ShowWarning(string message)
		{
			MessageBox.Show(message,"警告",MessageBoxButtons.OK,MessageBoxIcon.Warning);
		}

		/// <summary>
		/// 显示可以让用户选择的问题信息对话框
		/// </summary>
		/// <param name="message">问题信息</param>
		/// <returns>选择结果（Yes or No）</returns>
		public static DialogResult ShowQuestion(string message)
		{
			return MessageBox.Show(message,"请选择",MessageBoxButtons.YesNo,MessageBoxIcon.Question);
		}
	}
}
